__version__ = '0.1.0'


def LLMTrace(incomingMsg=None, lastUUID=None, name=None, description=None):
    def decorator(func):
        def wrapper(*args, **kwargs):
            print("LLM")
            print(f"incomingMsg: {incomingMsg}")
            print(f"lastUUID: {lastUUID}")
            print(f"name: {name}")
            print(f"description: {description}")
            result = func(*args, **kwargs)
            return result
        return wrapper
    return decorator

def ChainTrace(incomingMsg=None, lastUUID=None, name=None, description=None):
    def decorator(func):
        def wrapper(*args, **kwargs):
            print("Chain")
            print(f"incomingMsg: {incomingMsg}")
            print(f"lastUUID: {lastUUID}")
            print(f"name: {name}")
            print(f"description: {description}")
            result = func(*args, **kwargs)
            return result
        return wrapper
    return decorator

def ToolTrace(incomingMsg=None, lastUUID=None, name=None, description=None):
    def decorator(func):
        def wrapper(*args, **kwargs):
            print("Tool")
            print(f"incomingMsg: {incomingMsg}")
            print(f"lastUUID: {lastUUID}")
            print(f"name: {name}")
            print(f"description: {description}")
            result = func(*args, **kwargs)
            return result
        return wrapper
    return decorator
